# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v6.1.93
  - ae9f2a70d69e Linux 6.1.93
  - ec5c95f0e7be net: ena: Fix DMA syncing in XDP path when SWIOTLB is on
  ACK: pavel -- two fixes in one
  - ceab795a67dd ALSA: timer: Set lower bound of start tick time
  ACK: pavel -- just an api tweak
  - ea22d4195cca riscv: prevent pt_regs corruption for secondary idle threads
  ACK: pavel
  - b2c98bec4dc6 hwmon: (shtc1) Fix property misspelling
  ACK: pavel -- the code is unused in 5.10, anyway
  - 786d1639dbf5 powerpc/pseries/lparcfg: drop error message from guest name lookup
  ACK: pavel -- just a printk tweak
  - cb53706a3403 ipvlan: Dont Use skb->sk in ipvlan_process_v{4,6}_outbound
  ACK: pavel
  - f694cc31e72d net: ena: Fix redundant device NUMA node override
  ACK: pavel
  - 3bb51b20dd3c net: ena: Reduce lines with longer column width boundary
  UR: pavel -- very long, just a preparation
  - d230da7d5d39 net: ena: Add dynamic recycling mechanism for rx buffers
  UR: pavel -- long, just a preparation
  - 852035aba301 net: dsa: microchip: fix RGMII error in KSZ DSA driver
  ACK: pavel
  - 0e355a3ce244 spi: stm32: Don't warn about spurious interrupts
  ACK: pavel
  - 0713e0d191e1 drm/i915/guc: avoid FIELD_PREP warning
  ACK: pavel -- just a warning workaround
  - 4b338844af66 kconfig: fix comparison to constant symbols, 'm', 'n'
  ACK: pavel -- just a kconfig fix
  - c98af7fd2f9d netfilter: nft_fib: allow from forward/input without iif selector
  ACK: pavel -- just an API tweak
  - caf3a8afb5ea netfilter: tproxy: bail out if IP has been disabled on the device
  UR: pavel -- c/e
  - e017b876600f netfilter: nft_payload: skbuff vlan metadata mangle support
  UR: pavel -- check, c/e
  - cffee0b578ba netfilter: nft_payload: rebuild vlan header on h_proto access
  ACK: pavel
  - 96f261d56c2d netfilter: nft_payload: rebuild vlan header when needed
  ACK: pavel -- just a preparation
  - de47cbfc866f netfilter: nft_payload: move struct nft_payload_set definition where it belongs
  ACK: pavel -- just a preparation
  - 07cbc5512023 ice: fix accounting if a VLAN already exists
  ACK: pavel
  - 50bb204a6b02 net:fec: Add fec_enet_deinit()
  ACK: pavel
  - 6693b172f008 bpf: Allow delete from sockmap/sockhash only if update is allowed
  ACK: pavel -- just an api tweak
  - f52bb074e4dd net: usb: smsc95xx: fix changing LED_SEL bit value updated from EEPROM
  ACK: pavel
  - ba61b44379b2 af_unix: Read sk->sk_hash under bindlock during bind().
  UR: pavel -- just a warning workaround, likely with performance implications
  - 7077c22f84f4 enic: Validate length of nl attributes in enic_set_vf_port
  ACK: pavel
  - ce913fd36146 ALSA: hda/realtek: Adjust G814JZR to use SPI init for amp
  ACK: uli
  - 995f447cd36e ALSA: hda/realtek: Amend G634 quirk to enable rear speakers
  ACK: uli
  - ac35c81bcb19 ALSA: hda/realtek: Add quirk for ASUS ROG G634Z
  ACK: uli
  - 1834922d4431 ALSA: core: Remove debugfs at disconnection
  ACK: pavel -- just a debugfs fix
  - a8dda2c10589 ALSA: jack: Use guard() for locking
  ACK: pavel -- just a preparation
  - 105624d7f63f bpf: Fix potential integer overflow in resolve_btfids
  ACK: uli
  - 242b30466879 dma-buf/sw-sync: don't enable IRQ from sync_print_obj()
  ACK: pavel
  - 42c79364df58 net/mlx5e: Fix UDP GSO for encapsulated packets
  ACK: uli
  - 3aa573457082 net/mlx5e: Use rx_missed_errors instead of rx_dropped for reporting buffer exhaustion
  ACK: uli
  - 1b4ab44129e9 net/mlx5e: Fix IPsec tunnel mode offload feature check
  ACK: uli
  - 666e19a24706 net/mlx5: Lag, do bond only if slaves agree on roce state
  ACK: uli
  - 25222a9899e5 net: phy: micrel: set soft_reset callback to genphy_soft_reset for KSZ8061
  ACK: pavel
  - ca7ad37b604a nvmet: fix ns enable/disable possible hang
  ACK: uli
  - 8e1ba9df9a35 dma-mapping: benchmark: handle NUMA_NO_NODE correctly
  ACK: uli
  - c57874265a3c dma-mapping: benchmark: fix node id validation
  ACK: pavel
  - 729fdbfc181f spi: Don't mark message DMA mapped when no transfer in it is
  UR: pavel -- c/e
  - 8dfcd7780d08 netfilter: nft_payload: restore vlan q-in-q match support
  UR: pavel
  - 68f40354a385 netfilter: nfnetlink_queue: acquire rcu_read_lock() in instance_destroy_rcu()
  ACK: pavel
  - 5ef3a27c6142 ice: Interpret .set_channels() input differently
  ACK: pavel -- just an API fix
  - 5d626f2b87c2 drivers/xen: Improve the late XenStore init protocol
  UR: pavel -- c/e
  - 8d65890c944e nfc: nci: Fix handling of zero-length payload packets in nci_rx_work()
  ACK: pavel
  - 20c4691a066e nfc: nci: Fix kcov check in nci_rx_work()
  ACK: pavel -- just a preparation
  - c09ddc605893 net: relax socket state check at accept time.
  ACK: pavel
  - e1e80e7ff2b0 inet: factor out locked section of inet_accept() in a new helper
  ACK: pavel -- just a preparation
  - 335c8f1566d8 tls: fix missing memory barrier in tls_init
  ACK: pavel
  - 4f11834e6bc2 net: fec: avoid lock evasion when reading pps_enable
  ACK: pavel
  - eeae2526e867 Revert "ixgbe: Manual AN-37 for troublesome link partners for X550 SFI"
  ACK: pavel
  - 2ae3749f37cb riscv: stacktrace: fixed walk_stackframe()
  ACK: pavel -- just a robustness
  - 62bcc5c9f59c riscv: stacktrace: Make walk_stackframe cross pt_regs frame
  ACK: pavel -- just a robustness
  - abf001651acd virtio: delete vq in vp_find_vqs_msix() when request_irq() fails
  ACK: pavel
  - e63c10851fa9 rv: Update rv_en(dis)able_monitor doc to match kernel-doc
  ACK: pavel -- just a warning fix
  - 3fd487ffaa69 arm64: asm-bug: Add .align 2 to the end of __BUG_ENTRY
  ACK: pavel
  - b4ff9af8e73b openvswitch: Set the skbuff pkt_type for proper pmtud support.
  ACK: pavel
  - 1d20ba6017e5 pNFS/filelayout: fixup pNfs allocation modes
  ACK: pavel
  - e65d13ec00a7 tcp: Fix shift-out-of-bounds in dctcp_update_alpha().
  ACK: pavel
  - 599a56542150 ipv6: sr: fix memleak in seg6_hmac_init_algo
  ACK: pavel
  - 4bf6964451c3 af_unix: Update unix_sk(sk)->oob_skb under sk_receive_queue lock.
  ACK: pavel
  - cdc0234964e4 rpcrdma: fix handling for RDMA_CM_EVENT_DEVICE_REMOVAL
  ACK: pavel
  - 3c92f3a59d72 sunrpc: fix NFSACL RPC retry on soft mount
  ACK: pavel
  - 99530e42e171 nfs: keep server info for remounts
  ACK: pavel
  - b72a3a25c28e NFSv4: Fixup smatch warning for ambiguous return
  ACK: pavel
  - 7995b66f4fc6 ASoC: tas2552: Add TX path for capturing AUDIO-OUT data
  ACK: pavel
  - e8c8e0d0d214 nfc: nci: Fix uninit-value in nci_rx_work
  ACK: pavel
  - 47c5707d4412 selftests: net: kill smcrouted in the cleanup logic in amt.sh
  ACK: uli
  - 8f1fc3b86eae ipv6: sr: fix missing sk_buff release in seg6_input_core
  ACK: pavel
  - d2223fd3dd2c net: Always descend into dsa/ folder with CONFIG_NET_DSA enabled
  ACK: pavel -- just a build tweak
  - fde26c4ae31d x86/kconfig: Select ARCH_WANT_FRAME_POINTERS again when UNWINDER_FRAME_POINTER=y
  UR: pavel
  - f23f182baaae perf/arm-dmc620: Fix lockdep assert in ->event_init()
  ACK: pavel
  - e9774d1531c4 regulator: bd71828: Don't overwrite runtime voltages
  ACK: pavel
  - 60c406bb081b ASoC: mediatek: mt8192: fix register configuration for tdm
  ACK: pavel
  - 191dc1b2ff0f ALSA: hda/cs_dsp_ctl: Use private_free for control cleanup
  ACK: pavel
  - 1056e52028e6 null_blk: Fix the WARNING: modpost: missing MODULE_DESCRIPTION()
  ACK: pavel -- just a warning fix
  - 247849eeb3fd drm/msm/a6xx: Avoid a nullptr dereference when speedbin setting fails
  ACK: pavel
  - 7904aee9ccf3 drm/msm: Enable clamp_to_idle for 7c3
  ACK: pavel
  - ac9de7b29ea0 Revert "drm/bridge: ti-sn65dsi83: Fix enable error path"
  ACK: pavel -- exchanges one error for another
  - 3f56c18a396a media: cec: core: avoid confusing "transmit timed out" message
  ACK: pavel
  - 302077d2703b media: cec: core: avoid recursive cec_claim_log_addrs
  ACK: pavel
  - 6d6ddabcec27 media: cec: cec-api: add locking in cec_release()
  UR: pavel -- c/e
  - 1e1e7a6ec24b media: cec: cec-adap: always cancel work in cec_transmit_msg_fh
  ACK: pavel
  - a19d05e18d0f media: sunxi: a83-mips-csi2: also select GENERIC_PHY
  ACK: pavel -- just a Kconfig tweak
  - 1ffee510fa15 um: Fix the declaration of kasan_map_memory
  ACK: pavel -- just a warning workaround
  - 68bc383a758c um: Fix the -Wmissing-prototypes warning for get_thread_reg
  ACK: pavel -- just a warning workaround
  - b6eda6dee3bf um: Fix the -Wmissing-prototypes warning for __switch_mm
  ACK: pavel -- just a warning workaround
  - 1d168e682c9e powerpc/pseries: Add failure related checks for h_get_mpp and h_get_ppp
  ACK: pavel
  - 64c0cbc5a5a8 media: flexcop-usb: fix sanity check of bNumEndpoints
  ACK: pavel
  - 9400caf566f6 Input: cyapa - add missing input core locking to suspend/resume functions
  ACK: pavel
  - 4693aea93cba scsi: qla2xxx: Replace all non-returning strlcpy() with strscpy()
  UR: pavel --!a just a preparation... for patch we don't have?
  - b504518a3970 media: stk1160: fix bounds checking in stk1160_copy_video()
  UR: pavel -- c/e, check
  - fe1d4a8a6075 drm/bridge: tc358775: fix support for jeida-18 and jeida-24
  ACK: pavel
  - 3839a9b19a4b fs/ntfs3: Use variable length array instead of fixed size
  ACK: pavel -- just a warning workaround
  - 98db3155b54d fs/ntfs3: Use 64 bit variable to avoid 32 bit overflow
  ACK: pavel
  - 42c5571981d6 um: vector: fix bpfflash parameter evaluation
  ACK: pavel
  - 0c02d425a2fb um: Add winch to winch_handlers before registering winch IRQ
  UR: pavel -- check, LIST_HEAD_INIT?
  - a62a85b29c63 um: Fix return value in ubd_init()
  ACK: pavel -- likely no functional impact
  - a9ef192c4884 drm/mediatek: dp: Fix mtk_dp_aux_transfer return value
  ACK: pavel
  - 93ac25c29f0f drm/mediatek: dp: Add support for embedded DisplayPort aux-bus
  UR: pavel -- check, c/e, just a preparation
  - a5bd61845845 drm/mediatek: dp: Move PHY registration to new function
  ACK: pavel -- just a prepration
  - 0f2c694d69da drm/msm/dpu: Always flush the slave INTF on the CTL
  ACK: pavel
  - 5e3aa3915434 drm/msm/dsi: Print dual-DSI-adjusted pclk instead of original mode pclk
  ACK: pavel -- just a debugging tweak
  - ce0503f825fc Input: pm8xxx-vibrator - correct VIB_MAX_LEVELS calculation
  ACK: pavel
  - a8951a036bcb mmc: sdhci_am654: Fix ITAPDLY for HS400 timing
  ACK: pavel
  - 2251a6af086c mmc: sdhci_am654: Add ITAPDLYSEL in sdhci_j721e_4bit_set_clock
  ACK: pavel
  - 3465401e7e59 mmc: sdhci_am654: Add OTAP/ITAP delay enable
  ACK: pavel
  - 9b8590cb9f8c mmc: sdhci_am654: Drop lookup for deprecated ti,otap-del-sel
  UR: pavel -- check, just a preparation
  - 3eb2922ba9e6 mmc: sdhci_am654: Write ITAPDLY for DDR52 timing
  ACK: pavel
  - 3c436cc8abe1 mmc: sdhci_am654: Add tuning algorithm for delay chain
  ACK: pavel
  - f172f4fa22c7 Input: ioc3kbd - add device table
  ACK: pavel -- just better probing
  - 767daf9c713c Input: ioc3kbd - convert to platform remove callback returning void
  ACK: pavel -- just a prepration
  - df9ce976d66f Input: ims-pcu - fix printf string overflow
  ACK: pavel
  - 0a88433d6024 s390/boot: Remove alt_stfle_fac_list from decompressor
  IGN: uli
  - 34ab36f9f3ec s390/ipl: Fix incorrect initialization of nvme dump block
  IGN: uli
  - a88e11b97b45 s390/ipl: Fix incorrect initialization of len fields in nvme reipl block
  IGN: uli
  - a9e6068190f6 s390/vdso: Use standard stack frame layout
  IGN: uli
  - 8a598bf5aca8 s390/vdso: Generate unwind information for C modules
  IGN: uli
  - c7a162b3ae26 s390/vdso64: filter out munaligned-symbols flag for vdso
  IGN: uli
  - 926f7fea26fd s390/vdso: filter out mno-pic-data-is-text-relative cflag
  IGN: uli
  - 886f9ee3c54b LoongArch: Fix callchain parse error with kernel tracepoint events again
  IGN: uli
  - 2477cc49c8bc perf stat: Don't display metric header for non-leader uncore events
  ACK: uli
  - 4b3d568d402e f2fs: fix to add missing iput() in gc_data_segment()
  ACK: pavel
  - 14cdd01c7b62 perf daemon: Fix file leak in daemon_session__control
  ACK: uli
  - f192396d5bf5 libsubcmd: Fix parse-options memory leak
  ACK: uli
  - 3cb6516b84ab serial: sh-sci: protect invalidating RXDMA on shutdown
  ACK: pavel
  - 3ccf5210dc94 f2fs: compress: don't allow unaligned truncation on released compress inode
  ACK: pavel
  - a61d0d664844 f2fs: fix to release node block count in error path of f2fs_new_node_page()
  ACK: pavel -- not a minimum fix
  - 5d47d6388373 f2fs: compress: fix to cover {reserve,release}_compress_blocks() w/ cp_rwsem lock
  ACK: pavel
  - ea394c86983f f2fs: compress: fix to update i_compr_blocks correctly
  ACK: pavel
  - d939659ef938 perf report: Avoid SEGV in report__setup_sample_type()
  ACK: uli
  - 8641d8d39dff perf ui browser: Avoid SEGV on title
  ACK: uli
  - afb634b0852a PCI/EDR: Align EDR_PORT_LOCATE_DSM with PCI Firmware r3.3
  ACK: uli
  - bdfaba14d875 PCI/EDR: Align EDR_PORT_DPC_ENABLE_DSM with PCI Firmware r3.3
  ACK: uli
  - 01f7e5732f9d extcon: max8997: select IRQ_DOMAIN instead of depending on it
  ACK: pavel
  - 598eb7d520e1 perf ui browser: Don't save pointer to stack memory
  ACK: uli
  - b84c5140fd06 perf bench internals inject-build-id: Fix trap divide when collecting just one DSO
  ACK: uli
  - df9329247dbb ppdev: Add an error check in register_device
  ACK: pavel -- just a robustness
  - 27181d711946 ppdev: Remove usage of the deprecated ida_simple_xx() API
  ACK: pavel -- just a preparation
  - 4bfd48bb6e62 stm class: Fix a double free in stm_register_device()
  ACK: uli
  - 469f34d98423 usb: gadget: u_audio: Clear uac pointer when freed.
  ACK: uli
  - 89e668096844 usb: gadget: u_audio: Fix race condition use of controls after free during gadget unbind.
  ACK: uli
  - 5aae3129c39c watchdog: sa1100: Fix PTR_ERR_OR_ZERO() vs NULL check in sa1100dog_probe()
  ACK: uli
  - 1c991befa127 watchdog: bd9576: Drop "always-running" property
  ACK: uli
  - d2bfc8ee1183 dt-bindings: pinctrl: mediatek: mt7622: fix array properties
  ACK: uli
  - 91bc100044fe VMCI: Fix an error handling path in vmci_guest_probe_device()
  ACK: pavel
  - 049680a943d6 ovl: remove upper umask handling from ovl_create_upper()
  ACK: pavel
  - a65ca8a94368 perf intel-pt: Fix unassigned instruction op (discovered by MemorySanitizer)
  ACK: uli
  - 1c4ce8d08f48 microblaze: Remove early printk call from cpuinfo-static.c
  IGN: uli
  - 1cd87f385480 microblaze: Remove gcc flag for non existing early_printk.c file
  IGN: uli
  - 75a001914a8d fpga: region: add owner module and take its refcount
  ACK: pavel -- internal api change, hope it fixes more than it breaks
  - 44dccf7eb408 coresight: etm4x: Fix access to resource selector registers
  ACK: uli
  - 3a8a24cbdd12 coresight: etm4x: Safe access for TRCQCLTR
  ACK: uli
  - cf9a077ab506 coresight: etm4x: Do not save/restore Data trace control registers
  ACK: uli
  - ecbfb465f57f coresight: etm4x: Do not hardcode IOMEM access for register restore
  ACK: uli
  - d3ea59a95d67 iio: pressure: dps310: support negative temperature values
  ACK: uli
  - 08ccc5d4d1bf perf docs: Document bpf event modifier
  ACK: uli
  - 4df97442a099 coresight: etm4x: Fix unbalanced pm_runtime_enable()
  ACK: uli
  - b6eb572f385f iio: adc: stm32: Fixing err code to not indicate success
  ACK: uli
  - d52358d6dae6 f2fs: fix to check pinfile flag in f2fs_move_file_range()
  ACK: pavel
  - 89548270b041 f2fs: fix to relocate check condition in f2fs_fallocate()
  ACK: pavel
  - aaeab70ad2b2 f2fs: fix typos in comments
  ACK: pavel -- just a preparation/cleanup
  - 066115377717 f2fs: compress: fix to relocate check condition in f2fs_ioc_{,de}compress_file()
  ACK: pavel
  - 3192c383f378 f2fs: compress: fix to relocate check condition in f2fs_{release,reserve}_compress_blocks()
  ACK: pavel
  - b8f7a95d2366 dt-bindings: PCI: rcar-pci-host: Add missing IOMMU properties
  ACK: uli
  - b9a1acadd013 dt-bindings: PCI: rcar-pci-host: Add optional regulators
  ACK: uli
  - e80cc8298ea3 perf tests: Make "test data symbol" more robust on Neoverse N1
  ACK: uli
  - da665815cff7 perf test: Add 'datasym' test workload
  ACK: uli
  - 587edbeab8e8 perf test: Add 'brstack' test workload
  ACK: uli
  - 33b33bd5b784 perf test: Add 'sqrtloop' test workload
  ACK: uli
  - a80152003a86 perf test: Add 'leafloop' test workload
  ACK: uli
  - ee9d68456cf2 perf test: Add 'thloop' test workload
  ACK: uli
  - e46035c22644 perf test: Add -w/--workload option
  ACK: uli
  - 338656b35f18 arm64: dts: meson: fix S4 power-controller node
  ACK: uli
  - 66a7e9aadee0 interconnect: qcom: qcm2290: Fix mas_snoc_bimc QoS port assignment
  ACK: uli
  - 3c080bd43b88 serial: sc16is7xx: add proper sched.h include for sched_set_fifo()
  ACK: uli -- bug?
  - 905ec77eda70 PCI: tegra194: Fix probe path for Endpoint mode
  ACK: uli
  - b54f3b168207 greybus: arche-ctrl: move device table to its right location
  ACK: uli
  - cb3cc5e92ac4 serial: max3100: Fix bitwise types
  ACK: uli
  - b6eb7aff23e0 serial: max3100: Update uart_driver_registered on driver removal
  ACK: uli
  - 8296bb9e5925 serial: max3100: Lock port->lock when calling uart_handle_cts_change()
  ACK: uli
  - 758c5d145195 firmware: dmi-id: add a release callback function
  ACK: pavel -- just a KCFI fixup
  - 1aceff5b7716 dmaengine: idma64: Add check for dma_set_max_seg_size
  UR: pavel -- c/e, just a robustness
  - 2ebcaa0e5db9 soundwire: cadence: fix invalid PDI offset
  ACK: uli
  - 03bf7d260fd3 perf annotate: Get rid of duplicate --group option item
  ACK: uli
  - d9b71858119c counter: linux/counter.h: fix Excess kernel-doc description warning
  ACK: uli
  - 49642cc3666a f2fs: fix to wait on page writeback in __clone_blkaddrs()
  ACK: pavel
  - 1a9225fdd0ec f2fs: multidev: fix to recognize valid zero block address
  ACK: pavel
  - 9b41a9b9c8be greybus: lights: check return of get_channel_from_mode
  ACK: uli
  - 77eec3e2fa10 iio: core: Leave private pointer NULL when no private data supplied
  ACK: pavel
  - 416b6aad3393 perf probe: Add missing libgen.h header needed for using basename()
  ACK: uli
  - 4086a7af964d perf record: Delete session after stopping sideband thread
  ACK: uli
  - 3f9e48b104ff scsi: ufs: ufs-qcom: Clear qunipro_g4_sel for HW major version > 5
  ACK: uli
  - be6e713226a0 sched/core: Fix incorrect initialization of the 'burst' parameter in cpu_max_write()
  ACK: pavel
  - e72a3ebf8098 sched/fair: Allow disabling sched_balance_newidle with sched_relax_domain_level
  ACK: pavel
  - 04e907c4ae27 af_packet: do not call packet_read_pending() from tpacket_destruct_skb()
  UR: pavel -- just a performance tweak
  - 3db2fc45d1d2 netrom: fix possible dead-lock in nr_rt_ioctl()
  UR: pavel -- c/e
  - e448d1bad704 net: qrtr: ns: Fix module refcnt
  ACK: pavel
  - 8ca9a750fc71 net: bridge: mst: fix vlan use-after-free
  ACK: uli
  - f3ffa269a46c selftests: net: bridge: increase IGMP/MLD exclude timeout membership interval
  ACK: uli
  - 28126b83f86a net: bridge: xmit: make sure we have at least eth header len bytes
  ACK: pavel
  - ce8306074324 net: add pskb_may_pull_reason() helper
  ACK: pavel -- just a preparation
  - 43504dae4d20 RDMA/IPoIB: Fix format truncation compilation errors
  ACK: uli
  - f5f95901a366 selftests/kcmp: remove unused open mode
  ACK: uli
  - 879fe60fccd5 SUNRPC: Fix gss_free_in_token_pages()
  ACK: pavel
  - 7504fb57af50 ext4: fix potential unnitialized variable
  ACK: pavel -- just a warning workaround
  - 332f8c289bf0 ext4: remove unused parameter from ext4_mb_new_blocks_simple()
  UR: pavel -- two changes in one, big, just a preparation
  - 910ce50de7ae ext4: try all groups in ext4_mb_new_blocks_simple
  ACK: pavel
  - 227a4fa4a0ce ext4: fix unit mismatch in ext4_mb_new_blocks_simple
  ACK: pavel -- just a preparation
  - 0d82a01cfa07 ext4: simplify calculation of blkoff in ext4_mb_new_blocks_simple
  ACK: pavel -- just a preparation
  - 00b079e9903d sunrpc: removed redundant procp check
  UR: pavel -- just a cleanup, wrong explanation
  - afeb0e696276 drivers/virt/acrn: fix PFNMAP PTE checks in acrn_vm_ram_map()
  ACK: uli
  - 96256f749aa7 virt: acrn: stop using follow_pfn
  ACK: uli
  - 68b41ff1d8ad ext4: avoid excessive credit estimate in ext4_tmpfile()
  ACK: pavel
  - c884b2f72190 x86/insn: Add VEX versions of VPDPBUSD, VPDPBUSDS, VPDPWSSD and VPDPWSSDS
  ACK: pavel
  - c88a803ed3b9 x86/insn: Fix PUSH instruction in x86 instruction decoder opcode map
  ACK: pavel
  - b4825f5d219d clk: qcom: mmcc-msm8998: fix venus clock issue
  ACK: pavel
  - b8bf481f5893 clk: qcom: dispcc-sm6350: fix DisplayPort clocks
  ACK: uli
  - 49e7685aba47 clk: qcom: dispcc-sm8450: fix DisplayPort clocks
  ACK: uli
  - 1a21fdeea502 lib/test_hmm.c: handle src_pfns and dst_pfns allocation failure
  ACK: uli
  - 5582914f2b39 clk: renesas: r9a07g043: Add clock and reset entry for PLIC
  ACK: uli
  - 1b6bd01c330b clk: renesas: r8a779a0: Fix CANFD parent clock
  ACK: uli
  - 9f41ba1dfffb IB/mlx5: Use __iowrite64_copy() for write combining stores
  ACK: uli
  - de144d45229a RDMA/rxe: Fix incorrect rxe_put in error path
  ACK: uli -- offending code unreachable -> not an IRL bug
  - 4c0d0a653a9e RDMA/rxe: Replace pr_xxx by rxe_dbg_xxx in rxe_net.c
  ACK: uli
  - faa8d0ecf6c9 RDMA/rxe: Fix seg fault in rxe_comp_queue_pkt
  ACK: uli
  - 8f50d295dd1c clk: rs9: fix wrong default value for clock amplitude
  ACK: uli
  - 0dd8a16724b8 clk: mediatek: mt8365-mm: fix DPI0 parent
  ACK: uli
  - 17f3741c65c4 RDMA/hns: Modify the print level of CQE error
  ACK: uli
  - b767e511ce6f RDMA/hns: Use complete parentheses in macros
  ACK: uli -- cosmetic-ish
  - e88f5ea8db84 RDMA/hns: Fix GMV table pagesize
  ACK: uli
  - 763780ef0336 RDMA/hns: Fix UAF for cq async event
  ACK: uli
  - 756ddbe665ea RDMA/hns: Fix deadlock on SRQ async events.
  ACK: uli
  - 755b313811c8 RDMA/hns: Fix return value in hns_roce_map_mr_sg
  ACK: uli
  - ad35e397e423 RDMA/mlx5: Adding remote atomic access flag to updatable flags
  ACK: uli
  - 9302afe52d4e clk: samsung: exynosautov9: fix wrong pll clock id value
  ACK: uli
  - e08f0cc0afb5 drm/rockchip: vop2: Do not divide height twice for YUV
  ACK: uli
  - 26f73934ee4c drm/mipi-dsi: use correct return type for the DSC functions
  UR: pavel -- just a cleanup
  - 2dd1b312b4ad drm/panel: simple: Add missing Innolux G121X1-L03 format, flags, connector
  ACK: pavel
  - ed9713f81e25 drm/panel: novatek-nt35950: Don't log an error when DSI host can't be found
  ACK: uli
  - f0d232de7330 drm/bridge: dpc3433: Don't log an error when DSI host can't be found
  ACK: uli
  - 6eb119ab4fb3 drm/bridge: tc358775: Don't log an error when DSI host can't be found
  ACK: pavel
  - b1217374280a drm/bridge: lt9611uxc: Don't log an error when DSI host can't be found
  ACK: uli
  - 9cc53e34a92d drm/bridge: lt9611: Don't log an error when DSI host can't be found
  ACK: pavel -- just a cleanup
  - 59176fbabed1 drm/bridge: lt8912b: Don't log an error when DSI host can't be found
  ACK: uli
  - 195760a41e82 drm/bridge: icn6211: Don't log an error when DSI host can't be found
  ACK: uli
  - 9ce1954f8059 drm/bridge: anx7625: Don't log an error when DSI host can't be found
  ACK: uli
  - bf16f6e5ea6b ASoC: tracing: Export SND_SOC_DAPM_DIR_OUT to its value
  ACK: pavel -- just a tracing fix
  - 80431ea3634e drm: vc4: Fix possible null pointer dereference
  UR: pavel -- c/e
  - e4b52d493833 drm/arm/malidp: fix a possible null pointer dereference
  ACK: pavel
  - a1ab99dcc860 media: atomisp: ssh_css: Fix a null-pointer dereference in load_video_binaries
  ACK: pavel
  - ba8b4180f01e fbdev: sh7760fb: allow modular build
  UR: pavel --! just a new feature
  - 673a409b6b8a media: dt-bindings: ovti,ov2680: Fix the power supply names
  ACK: uli
  - a6f2f5f76276 media: ipu3-cio2: Request IRQ earlier
  ACK: uli
  - d57bc62491b7 drm/msm/dp: Avoid a long timeout for AUX transfer if nothing connected
  ACK: uli
  - 3ede49a75afd drm/msm/dp: Return IRQ_NONE for unhandled interrupts
  ACK: uli
  - 24e810b9b174 drm/msm/dp: allow voltage swing / pre emphasis of 3
  ACK: uli
  - ca53b7efd4ba drm: bridge: cdns-mhdp8546: Fix possible null pointer dereference
  UR: pavel -- c/e
  - d33fbb62fb5d media: radio-shark2: Avoid led_names truncations
  ACK: pavel
  - ff29277c3e63 media: rcar-vin: work around -Wenum-compare-conditional warning
  ACK: pavel -- just a warning workaround
  - 62fd155f2a05 media: ngene: Add dvb_ca_en50221_init return value check
  UR: pavel -- c/e
  - 1ca59f0a20d6 ASoC: Intel: avs: Fix potential integer overflow
  ACK: pavel
  - 3e35eb844923 ASoC: Intel: avs: Fix ASRC module initialization
  ACK: pavel
  - c923f05b018a fbdev: sisfb: hide unused variables
  ACK: pavel -- just a warning workaround
  - f9974f903593 powerpc/fsl-soc: hide unused const variable
  ACK: pavel -- just a warning workaround
  - 13562c2d48c9 drm/mediatek: Add 0 size check to mtk_drm_gem_obj
  ACK: pavel
  - 96e47f2b2fb5 drm/meson: vclk: fix calculation of 59.94 fractional rates
  ACK: pavel
  - de9987cec6fd ASoC: kirkwood: Fix potential NULL dereference
  ACK: pavel -- just a theoretical bug
  - 55dd7caeebce fbdev: shmobile: fix snprintf truncation
  ACK: pavel
  - 3115fb2cc55c mtd: rawnand: hynix: fixed typo
  ACK: pavel -- just a robustness
  - 534fd7770b6d mtd: core: Report error if first mtd_otp_size() call fails in mtd_otp_nvmem_add()
  UR: pavel --! confused, very different from mainline, other return is still direct
  - a4b95e6681f1 ASoC: Intel: avs: ssm4567: Do not ignore route checks
  UR: pavel -- probably does not fix real problem
  - e9fe6e6671e8 ASoC: Intel: Disable route checks for Skylake boards
  ACK: pavel
  - 98b8a6bfd30d drm/amd/display: Fix potential index out of bounds in color transformation function
  UR: pavel -- c/e
  - 743ce5a1f2f0 drm/panel: atna33xc20: Fix unbalanced regulator in the case HPD doesn't assert
  ACK: pavel
  - 90bd113e65fc drm/dp: Don't attempt AUX transfers when eDP panels are not powered
  UR: pavel -- check, just a performance optimalization
  - 083f3050205b drm/panel-samsung-atna33xc20: Use ktime_get_boottime for delays
  ACK: pavel -- just a pm fix
  - 9843feb28fe6 drm/lcdif: Do not disable clocks on already suspended hardware
  ACK: pavel
  - e48c88d08e87 dev_printk: Add and use dev_no_printk()
  ACK: pavel -- just a space optimalization
  - 87436e691963 printk: Let no_printk() use _printk()
  ACK: pavel -- just an optimalization
  - fc61bce6ec24 drm/bridge: Fix improper bridge init order with pre_enable_prev_first
  ACK: pavel
  - e0c379bd5859 Bluetooth: qca: Fix error code in qca_read_fw_build_info()
  ACK: pavel
  - 632b63f12766 Bluetooth: compute LE flow credits based on recvbuf space
  UR: pavel -- check, c/e
  - 1cfc3ab941d2 Bluetooth: Consolidate code around sk_alloc into a helper function
  ACK: pavel -- just a preparation, versions have slight differences
  - 80dea5ae7c00 mptcp: SO_KEEPALIVE: fix getsockopt support
  ACK: pavel -- just a interface fix
  - 3ec437f9bbae ax25: Fix reference count leak issue of net_device
  ACK: uli
  - ae467750a376 ax25: Fix reference count leak issues of ax25_dev
  ACK: uli
  - 46cdb2bee4f1 ax25: Use kernel universal linked list to implement ax25_dev_list
  ACK: pavel -- just a preparation
  - 01fdc6a9d115 riscv, bpf: make some atomic operations fully ordered
  ACK: pavel
  - 913ad7113fb7 s390/bpf: Emit a barrier for BPF_FETCH instructions
  IGN: uli
  - bf8aaf0ae01c net/mlx5: Discard command completions in internal error
  ACK: pavel
  - 4baae687a20e net/mlx5: Add a timeout to acquire the command queue semaphore
  ACK: pavel
  - e77a3ec7ada8 ipv6: sr: fix invalid unregister error path
  ACK: pavel
  - e82d8b708ca1 ipv6: sr: fix incorrect unregister order
  ACK: pavel
  - f08ce703af18 ipv6: sr: add missing seg6_local_exit
  ACK: pavel
  - 9ec8b0ccadb9 net: openvswitch: fix overwriting ct original tuple for ICMPv6
  ACK: pavel
  - 517e64bcc963 net: usb: smsc95xx: stop lying about skb->truesize
  ACK: pavel
  - 8299e4d778f6 af_unix: Fix data races in unix_release_sock/unix_stream_sendmsg
  ACK: pavel -- just a READ_ONCE annotation
  - 63470d2044d5 net: ethernet: cortina: Locking fixes
  UR: pavel -- c/e
  - 4e3d60b618dc selftests: net: move amt to socat for better compatibility
  ACK: uli
  - 476adb3bbbd7 eth: sungem: remove .ndo_poll_controller to avoid deadlocks
  ACK: pavel
  - 6758bf27a762 net: ipv6: fix wrong start position when receive hop-by-hop fragment
  ACK: pavel
  - 2ceac7eac006 m68k: mac: Fix reboot hang on Mac IIci
  ACK: pavel
  - 0d9ae1253535 m68k: Fix spinlock race in kernel thread creation
  ACK: pavel
  - 3e3f283c0b59 net: usb: sr9700: stop lying about skb->truesize
  ACK: pavel -- two fixes in one
  - 439d2db44dcd usb: aqc111: stop lying about skb->truesize
  ACK: pavel
  - decf64daf498 HID: amd_sfh: Handle "no sensors" in PM operations
  ACK: pavel
  - a9f11a226b2f wifi: mwl8k: initialize cmd->addr[] properly
  ACK: pavel
  - 3869da766b75 x86/numa: Fix SRAT lookup of CFMWS ranges with numa_fill_memblks()
  ACK: pavel
  - e39d630be92c kernel/numa.c: Move logging out of numa.h
  ACK: pavel -- just a preparation
  - 888c05a172fe scsi: qla2xxx: Fix debugfs output for fw_resource_count
  ACK: pavel -- just an interface tweak
  - d93318f19d1e scsi: qedf: Ensure the copied buf is NUL terminated
  ACK: pavel
  - 7d3e694c4fe3 scsi: bfa: Ensure the copied buf is NUL terminated
  ACK: pavel
  - 3848c9f889cc HID: intel-ish-hid: ipc: Add check for pci_alloc_irq_vectors
  UR: pavel -- c/e
  - 1f2ebd3758e1 kunit: Fix kthread reference
  ACK: pavel
  - b48efc18deb7 selftests: default to host arch for LLVM builds
  ACK: uli
  - 9118e776181e selftests/resctrl: fix clang build failure: use LOCAL_HDRS
  ACK: uli
  - 63e48e33ea4b selftests/binderfs: use the Makefile's rules, not Make's implicit rules
  UR: pavel --! fix for LLVM, but we don't have prerequisities for this
  - fa6b979c8639 libbpf: Fix error message in attach_kprobe_multi
  ACK: uli
  - 48e88dc8b0e2 wifi: mt76: mt7603: add wpdma tx eof flag for PSE client reset
  ACK: pavel
  - e091545b16c0 Revert "sh: Handle calling csum_partial with misaligned data"
  ACK: pavel
  - 1b682bd72671 sh: kprobes: Merge arch_copy_kprobe() into arch_prepare_kprobe()
  ACK: pavel
  - 34f7ebff1b96 wifi: ar5523: enable proper endpoint verification
  ACK: pavel -- return would be better instead of goto out
  - 265c3cda471c wifi: carl9170: add a proper sanity check for endpoints
  ACK: pavel
  - 787fb79efc15 macintosh/via-macii: Fix "BUG: sleeping function called from invalid context"
  ACK: pavel
  - c74b33b4f5a4 net: give more chances to rcu in netdev_wait_allrefs_any()
  ACK: pavel
  - 1491a01ef5a9 drivers/perf: hisi: hns3: Actually use devm_add_action_or_reset()
  ACK: pavel
  - 3669baf30830 drivers/perf: hisi: hns3: Fix out-of-bound access when valid event group
  ACK: pavel -- not a minimum fix
  - 3d1face00ebb drivers/perf: hisi_pcie: Fix out-of-bound access when valid event group
  ACK: pavel -- not a minimum fix
  - 10e9ecf9ddad pwm: sti: Simplify probe function using devm functions
  UR: pavel -- just a cleanup
  - e07184f03363 pwm: sti: Prepare removing pwm_chip from driver data
  UR: pavel --a just a preparation
  - e173bd3ca0ee pwm: sti: Convert to platform remove callback returning void
  UR: pavel --a just a preparation
  - 131490afa2d8 tcp: avoid premature drops in tcp_add_backlog()
  ACK: pavel -- just a performance tweak
  - 3616b4e1f16d net: dsa: mv88e6xxx: Avoid EEPROM timeout without EEPROM on 88E6250-family switches
  ACK: pavel
  - be16a7fd4b60 net: dsa: mv88e6xxx: Add support for model-specific pre- and post-reset handlers
  UR: pavel --! no functional change
  - f81c15d86bdc wifi: ath10k: populate board data for WCN3990
  ACK: pavel
  - 540fe85ed84b selftests/bpf: Fix a fd leak in error paths in open_netns
  ACK: uli
  - 16e4d6b72cb4 wifi: ath10k: Fix an error code problem in ath10k_dbg_sta_write_peer_debug_trigger()
  ACK: pavel
  - 11c731386ed8 thermal/drivers/tsens: Fix null pointer dereference
  ACK: pavel
  - c8d23a7e9bdf x86/purgatory: Switch to the position-independent small code model
  UR: pavel -- big hammer
  - cf36b66875cd scsi: hpsa: Fix allocation size for Scsi_Host private data
  ACK: pavel
  - c0fcc7838b86 scsi: libsas: Fix the failure of adding phy with zero-address to port
  ACK: pavel
  - 769c4f355b79 cppc_cpufreq: Fix possible null pointer dereference
  ACK: pavel
  - 606dc69d6f81 udp: Avoid call to compute_score on multiple sites
  UR: pavel -- just a performance tweak, not a minimum fix
  - 789afa3e00d2 net: remove duplicate reuseport_lookup functions
  ACK: pavel -- just a preparation
  - 119189292493 net: export inet_lookup_reuseport and inet6_lookup_reuseport
  UR: pavel --a just a preparation
  - 0f67a567be3a x86/pat: Fix W^X violation false-positives when running as Xen PV guest
  ACK: pavel
  - 66109531c143 x86/pat: Restructure _lookup_address_cpa()
  ACK: pavel
  - 1ed308ba7bd4 x86/pat: Introduce lookup_address_in_pgd_attr()
  ACK: pavel -- just a preparation
  - 8bc9546805e5 cpufreq: exit() callback is optional
  ACK: pavel
  - ce087f508896 selftests/bpf: Fix umount cgroup2 error in test_sockmap
  ACK: uli
  - e2ce84ae6e7d x86/boot/64: Clear most of CR4 in startup_64(), except PAE, MCE and LA57
  ACK: pavel
  - 15b1f35a1138 gfs2: Fix "ignore unlock failures after withdraw"
  ACK: pavel
  - 4b10a59fb6e4 gfs2: Don't forget to complete delayed withdraw
  ACK: pavel
  - 39a12a9ba858 ACPI: disable -Wstringop-truncation
  ACK: pavel -- just a warning workaround
  - 3eecd40d1384 irqchip/loongson-pch-msi: Fix off-by-one on allocation error path
  ACK: pavel
  - 10a52dc48757 irqchip/alpine-msi: Fix off-by-one in allocation error path
  ACK: pavel
  - 4ade4cfe2390 ACPI: LPSS: Advertise number of chip selects via property
  ACK: pavel -- just a new feature
  - 6eae7a54cc71 scsi: ufs: core: Perform read back after disabling UIC_COMMAND_COMPL
  ACK: pavel
  - 00e7b0eb92c4 scsi: ufs: core: Perform read back after disabling interrupts
  ACK: pavel
  - 5ec91312a58b scsi: ufs: cdns-pltfrm: Perform read back after writing HCLKDIV
  ACK: pavel
  - ec6be64a1472 scsi: ufs: qcom: Perform read back after writing CGC enable
  ACK: pavel
  - 44db6b5888ea scsi: ufs: qcom: Perform read back after writing unipro mode
  UR: pavel --! just a cleanup
  - 9c4e9090afbd scsi: ufs: ufs-qcom: Clear qunipro_g4_sel for HW version major 5
  UR: pavel --!a just a preparation
  - 1e33175a8c80 scsi: ufs: ufs-qcom: Fix the Qcom register name for offset 0xD0
  UR: pavel --! just a preparation -- for a cleanup
  - b52ce65b4603 scsi: ufs: qcom: Perform read back after writing REG_UFS_SYS1CLK_1US
  ACK: pavel
  - bfda254ceb5b scsi: ufs: qcom: Perform read back after writing reset bit
  ACK: pavel
  - 90098f0a1607 bpf: Pack struct bpf_fib_lookup
  ACK: pavel
  - 13857683126e wifi: carl9170: re-fix fortified-memset warning
  ACK: pavel -- just a warning workaround
  - a353cd9ff790 bitops: add missing prototype check
  ACK: pavel
  - 542598a5593a mlx5: stop warning for 64KB pages
  ACK: pavel -- just a warning workaround
  - f3141f00f331 net/mlx5e: Fail with messages when params are not valid for XSK
  ACK: pavel -- just a printk tweaks, not minimum one
  - 82bb344ff334 qed: avoid truncating work queue length
  ACK: pavel
  - b752f7fc154b ACPI: Fix Generic Initiator Affinity _OSC bit
  ACK: pavel
  - 94833a31d716 sched/fair: Add EAS checks before updating root_domain::overutilized
  ACK: pavel -- just a performance tweak
  - 388eb05c2708 x86/boot: Ignore relocations in .notes sections in walk_relocs() too
  ACK: pavel
  - 75d015f2f18a bpftool: Fix missing pids during link show
  ACK: uli
  - 4d753cf50208 wifi: ath11k: don't force enable power save on non-running vdevs
  ACK: pavel
  - 0eb2c0528e23 wifi: brcmfmac: pcie: handle randbuf allocation failure
  ACK: pavel -- turns kmalloc into stack allocation
  - 0c94d93b5d97 wifi: ath10k: poll service ready message before failing
  UR: pavel -- strange english in comment
  - 9a97008dbf46 block: support to account io_ticks precisely
  ACK: pavel -- just an accounting fix
  - 56aacead0588 block: open code __blk_account_io_done()
  ACK: pavel -- just a preparation
  - 4e4c9bf71ac8 block: open code __blk_account_io_start()
  ACK: pavel -- just a preparation
  - 71e8e4f288e7 md: fix resync softlockup when bitmap size is less than array size
  ACK: pavel
  - 8b5405bf0d4b null_blk: Fix missing mutex_destroy() at module removal
  ACK: pavel -- just a robustness
  - 3603c03acd11 soc: mediatek: cmdq: Fix typo of CMDQ_JUMP_RELATIVE
  ACK: pavel
  - f06969df2e40 jffs2: prevent xattr node from overflowing the eraseblock
  UR: pavel -- c/e
  - 36840a727cf2 ARM: configs: sunxi: Enable DRM_DW_HDMI
  ACK: pavel
  - e2228ed3fe7a rcu: Fix buffer overflow in print_cpu_stall_info()
  ACK: pavel
  - 08186d0c5fb6 rcu-tasks: Fix show_rcu_tasks_trace_gp_kthread buffer overflow
  ACK: pavel
  - 91f1edfa3862 io_uring: use the right type for work_llist empty check
  ACK: pavel -- just a cleanup
  - 0c9ce8f23970 io_uring: don't use TIF_NOTIFY_SIGNAL to test for availability of task_work
  ACK: pavel -- just a preparation
  - 007a23d38ad8 s390/cio: fix tracepoint subchannel type field
  IGN: uli
  - 891b2c9d39c2 crypto: x86/sha512-avx2 - add missing vzeroupper
  ACK: pavel -- just a performance tweak
  - f8daeb40b48e crypto: x86/sha256-avx2 - add missing vzeroupper
  pavel -- version of this patch for older release reviewed
  - c38667181b91 crypto: x86/nh-avx2 - add missing vzeroupper
  ACK: pavel -- just a performance tweak
  - eeaf1f604f89 crypto: ccp - drop platform ifdef checks
  ACK: pavel -- just a warning workaround
  - ecebbacac191 parisc: add missing export of __cmpxchg_u8()
  ACK: pavel
  - 6f48c6741410 nilfs2: fix out-of-range warning
  UR: pavel -- just a warning workaround, will make code slower..?
  - 0d0f8ba042af ecryptfs: Fix buffer size for tag 66 packet
  ACK: pavel
  - a89bece5a6f2 firmware: raspberrypi: Use correct device for DMA mappings
  ACK: pavel
  - 4d8e9c2aa660 mm/slub, kunit: Use inverted data to corrupt kmem cache
  ACK: pavel -- just a test improvement
  - 49833a8da640 crypto: bcm - Fix pointer arithmetic
  ACK: pavel
  - 24119acfc763 openpromfs: finish conversion to the new mount API
  UR: pavel --! should not be needed?
  - de9bf32eab79 nvmet: prevent sprintf() overflow in nvmet_subsys_nsid_exists()
  ACK: pavel
  - 559214eb4e5c epoll: be better about file lifetimes
  ACK: pavel
  - ae63c25cb082 nvmet: fix nvme status code when namespace is disabled
  ACK: pavel
  - 11f62e181826 nvmet-tcp: fix possible memory leak when tearing down a controller
  ACK: pavel
  - 8244dfd22cd9 nvmet-auth: replace pr_debug() with pr_err() to report an error.
  ACK: pavel -- just a printk tweak
  - 068095539ab9 nvmet-auth: return the error code to the nvmet_auth_host_hash() callers
  UR: pavel -- check
  - 226a12bf62c2 nvme: find numa distance only if controller has valid numa id
  ACK: pavel
  - e8b799f42a8f x86/mm: Remove broken vsyscall emulation code from the page fault code
  UR: pavel --!n known to introduce regression
  - 6ce4f190f00a drm/amdkfd: Flush the process wq before creating a kfd_process
  ACK: pavel
  - 6170ef849048 drm/amd/display: Add VCO speed parameter for DCN31 FPU
  ACK: pavel
  - 3fa799b54ace drm/amd/display: Add dtbclk access to dcn315
  ACK: pavel
  - 68195bb96072 ALSA: hda: intel-dsp-config: harden I2C/I2S codec detection
  ACK: pavel
  - 32b4a8888f90 ASoC: da7219-aad: fix usage of device_get_named_child_node()
  UR: pavel -- c/e
  - 805ef55a8293 softirq: Fix suspicious RCU usage in __do_softirq()
  ACK: pavel
  - 1572a4a3b8c0 fpga: dfl-pci: add PCI subdevice ID for Intel D5005 card
  ACK: pavel
  - e9c96d01d520 genirq/cpuhotplug, x86/vector: Prevent vector leak during CPU offline
  ACK: pavel
  - 117e7a43cd39 KVM: x86: Don't advertise guest.MAXPHYADDR as host.MAXPHYADDR in CPUID
  - b8938d6f570f efi: libstub: only free priv.runtime_map when allocated
  - 6f9881cb4db8 x86/efistub: Omit physical KASLR when memory reservations exist
  - ce4e200f37db KVM: selftests: Add test for uaccesses to non-existent vgic-v2 CPUIF
  UR: pavel --!n not a bugfix
  - b3c8774eb2ca ASoC: rt715-sdca: volume step modification
  ACK: pavel
  - ac6c005a5551 ASoC: rt715: add vendor clear control register
  ACK: pavel
  - ee8363381ff9 regulator: vqmmc-ipq4019: fix module autoloading
  ACK: pavel
  - 7341c2c6859f ASoC: dt-bindings: rt5645: add cbj sleeve gpio property
  UR: pavel --!n just preparation for dts change we don't have
  - b26f1c63e6b5 ASoC: rt5645: Fix the electric noise due to the CBJ contacts floating
  UR: pavel --!n just preparation for next patch
  - d611f95f9757 regulator: irq_helpers: duplicate IRQ name
  UR: pavel --!n just a preparation for something we don't have /  memory leak
  - ff6e6843267d ASoC: Intel: bytcr_rt5640: Apply Asus T100TA quirk to Asus T100TAM too
  ACK: pavel
  - e3decad6ab09 sched/isolation: Fix boot crash when maxcpus < first housekeeping CPU
  UR: pavel -- dunno. printk() would be good
  - e477e2e426ab selftests: sud_test: return correct emulated syscall value on RISC-V
  ACK: pavel -- just a test fix
  - 1c4ee6acdb38 LoongArch: Lately init pmu after smp is online
  ACK: pavel
  - 70b1bf6d9edc drm/amdgpu/mes: fix use-after-free issue
  ACK: pavel
  - 4e68e749a852 drm/amdgpu: Fix the ring buffer size for queue VM flush
  ACK: pavel
  - 3bec2fc83bbd drm/amdgpu: Update BO eviction priorities
  ACK: pavel -- just a performance tweak
  - 85a37f59d7bd drm/amd/display: Set color_mgmt_changed to true on unsuspend
  ACK: pavel
  - b7dd8659df6b net: usb: qmi_wwan: add Telit FN920C04 compositions
  ACK: pavel
  - e032c4cfb1a7 dt-bindings: rockchip: grf: Add missing type to 'pcie-phy' node
  ACK: pavel -- just a warning workaround
  - ac260a819a41 wifi: cfg80211: fix the order of arguments for trace events of the tx_rx_evt class
  ACK: pavel -- just a tracing fix
  - f5273fe5f640 wifi: mac80211: ensure beacon is non-S1G prior to extracting the beacon timestamp field
  ACK: pavel
  - 79b1584879a8 wifi: mac80211: don't use rate mask for scanning
  ACK: pavel -- just a warning workaround
  - 2f01314049ef KEYS: asymmetric: Add missing dependencies of FIPS_SIGNATURE_SELFTEST
  ACK: pavel -- just a test fix
  - c2fb439f4f14 ALSA: Fix deadlocks with kctl removals at disconnection
  ACK: pavel
  - e00747672573 ALSA: core: Fix NULL module pointer assignment at card init
  ACK: pavel -- improvement, not a complete fix
  - c0d7ab900c9d ALSA: hda/realtek: fix mute/micmute LEDs don't work for ProBook 440/460 G11.
  ACK: pavel
  - a734ec0654ae ksmbd: ignore trailing slashes in share paths
  ACK: pavel
  - 14bcd802aaac ksmbd: avoid to send duplicate oplock break notifications
  ACK: pavel
  - 8f54c5f3c6f1 fs/ntfs3: Break dir enumeration if directory contents error
  ACK: pavel
  - c494fe4ccd59 fs/ntfs3: Fix case when index is reused during tree transformation
  ACK: pavel
  - df40783dc377 fs/ntfs3: Taking DOS names into account during link counting
  ACK: pavel
  - 1c29c6287a68 fs/ntfs3: Remove max link count info display during driver init
  ACK: pavel -- just a printk tweak
  - 1c3844c5f4ea nilfs2: fix potential hang in nilfs_detach_log_writer()
  ACK: pavel
  - 61196139d74d nilfs2: fix unexpected freezing of nilfs_segctor_sync()
  ACK: pavel
  - 35471c0ff1e9 net: smc91x: Fix m68k kernel compilation for ColdFire CPU
  ACK: pavel
  - 5996b2b2dac7 tools/nolibc/stdlib: fix memory error in realloc()
  ACK: uli
  - b7a0a5cf9e58 tools/latency-collector: Fix -Wformat-security compile warns
  ACK: uli
  - 54c64967ba5f ring-buffer: Fix a race between readers and resize checks
  ACK: pavel
  - 0c48185a9530 r8169: Fix possible ring buffer corruption on fragmented Tx packets.
  ACK: pavel
  - 69ed8fc12bf9 Revert "r8169: don't try to disable interrupts if NAPI is, scheduled already"
  ACK: pavel
  - 0db279c7c2f2 io_uring: fail NOP if non-zero op flags is passed in
  ACK: pavel -- just an interface tweak
  - 28cbe126ce5a serial: 8520_mtk: Set RTS on shutdown for Rx in-band wakeup
  ACK: pavel
  - 78a933a618c5 serial: 8250_bcm7271: use default_mux_rate if possible
  ACK: pavel
  - 3726f75a1ccc speakup: Fix sizeof() vs ARRAY_SIZE() bug
  ACK: pavel
  - 8a6e6b1644e9 tty: n_gsm: fix missing receive state reset after mode switch
  ACK: pavel
  - 46f52c89a7e7 tty: n_gsm: fix possible out-of-bounds in gsm0_receive()
  ACK: pavel
  - dbff5f0bfb24 ftrace: Fix possible use-after-free issue in ftrace_location()
  ACK: pavel
  - af542630b744 x86/tsc: Trust initial offset in architectural TSC-adjust MSRs
  UR: pavel --! should get more testing in mainline?
  - f9977e4e0cd9 SUNRPC: Fix loop termination condition in gss_free_in_token_pages()
